

CREATE TABLE LCLUSTER( \
	I_CL_SN			CHAR(64)	NOT NULL, \
	I_CL_MODEL		CHAR(10)	NOT NULL, \
	I_CL_VERSION		CHAR(10)        NOT NULL, \
	I_CL_IP			CHAR(20), \
	I_CL_PORT		SMALLINT, \
	I_CL_TZ		        CHAR(40), \ 
	I_CL_DNS		CHAR(128), \
	I_CL_NETNAME		CHAR(128), \
	I_CL_FAB_SPD		SMALLINT, \
	I_TASK_SEQ_IDX		INTEGER        NOT NULL, \
	D_TASK_DATE		DATE		NOT NULL, \
	T_TASK_TIME		TIME		NOT NULL, \
	PRIMARY KEY(I_CL_SN, D_TASK_DATE, T_TASK_TIME))



CREATE TABLE LMDGROUP( \
	I_CL_SN			CHAR(64)	NOT NULL, \
	I_MDG_ID		SMALLINT	NOT NULL, \
	I_MDG_NAME		CHAR(15), \
	I_MDG_EXTENT_SZ		INTEGER, \
	I_TASK_SEQ_IDX		INTEGER, \
	D_TASK_DATE		DATE 		NOT NULL, \
	T_TASK_TIME		TIME		NOT NULL, \
	PRIMARY KEY(I_CL_SN, I_MDG_ID, D_TASK_DATE, T_TASK_TIME))


CREATE TABLE LVDISK( \
	I_CL_SN			CHAR(64)	NOT NULL, \
	I_VD_ID			INTEGER		NOT NULL, \
	I_VD_TYPE		SMALLINT, \
	I_VD_MDGRP		SMALLINT, \
	I_VD_IOGRP		SMALLINT, \
	I_VD_NAME		CHAR(15), \
	Q_VD_CAPACITY		INTEGER, \
	I_VD_CAP_UNIT		CHAR (2)	NOT NULL WITH DEFAULT 'MB', \
	Q_VD_THROTTLE		INTEGER, \
	I_VD_THRT_UNIT		CHAR(4)		NOT NULL WITH  DEFAULT 'IOPS', \
	I_TASK_SEQ_IDX		INTEGER, \
	D_TASK_DATE		DATE		NOT NULL, \
	T_TASK_TIME           	TIME		NOT NULL, \
	PRIMARY KEY(I_CL_SN, I_VD_ID, D_TASK_DATE, T_TASK_TIME))
	
CREATE TABLE LMDISK( \
	I_CL_SN			CHAR(64)	NOT NULL, \
	I_MD_ID			INTEGER		NOT NULL, \
	I_MD_MDGRP		SMALLINT, \
	I_MD_NAME		CHAR(15), \
	I_MD_AVAIL              INTEGER, \
	I_TASK_SEQ_IDX		INTEGER, \
	D_TASK_DATE		DATE		NOT NULL, \
	T_TASK_TIME		TIME		NOT NULL, \
	PRIMARY KEY(I_CL_SN, I_MD_ID, D_TASK_DATE, T_TASK_TIME) )



CREATE TABLE LPMDISK( \
	DATE			DATE		NOT NULL, \
	TIME			TIME		NOT NULL, \
	I_DEVICE_SN		CHAR(64)	NOT NULL, \
	I_MDISK_NO		INTEGER		NOT NULL, \
	I_MDISK_INCLUDE		CHAR(1), \
	I_MDISK_LUN_SN		CHAR(64), \
	I_MDGRP_NO		SMALLINT	NOT NULL, \
	I_SAMP_INTERVAL		SMALLINT, \
	I_STATS_AVAIL		SMALLINT, \
	Q_READ_IO		REAL, \
	Q_WRITE_IO		REAL, \
	Q_TOT_RW_IO		REAL, \
	Q_READ_BLK		REAL, \
	Q_WRITE_BLK		REAL, \
	Q_TOT_RW_BLK		REAL, \
	Q_READ_TRANSFER		REAL, \
	Q_WRITE_TRANSFER	REAL, \
	Q_TRANSFER_SIZE		REAL, \
	Q_CMREAD_EXT_RSPTM	REAL, \
	Q_CMWRITE_EXT_RSPTM	REAL, \
	Q_CMREAD_QUD_RSPTM	REAL, \
	Q_CMWRITE_QUD_RSPTM     REAL, \
	PRIMARY KEY(DATE,TIME, I_DEVICE_SN, I_MDISK_NO))	

CREATE TABLE LPVDISK( \
	DATE			DATE		NOT NULL, \
	TIME			TIME		NOT NULL, \
	I_DEVICE_SN		CHAR(64)	NOT NULL, \
	I_VDISK_NO		INTEGER		NOT NULL, \
	I_MDGRP_NO		SMALLINT	NOT NULL, \
	I_IOGRP_NO		SMALLINT	NOT NULL, \
	I_SAMP_INTERVAL		SMALLINT, \
	I_VDISK_USAGE		SMALLINT, \
	I_VDISK_THROTTLE	INTEGER, \
	I_STATS_AVAIL		SMALLINT, \
	Q_READ_IO		REAL, \
	Q_WRITE_IO		REAL, \
	Q_TOT_RW_IO		REAL, \
	Q_READ_BLK		REAL, \
	Q_WRITE_BLK		REAL, \
	Q_TOT_RW_BLK		REAL, \
	Q_READ_TRANSFER		REAL, \
	Q_WRITE_TRANSFER	REAL, \
	Q_TRANSFER_SIZE		REAL, \
	PRIMARY KEY(DATE,TIME, I_DEVICE_SN, I_VDISK_NO))


CREATE TABLE LPIOGRP_DISKID( \
	DATE				DATE		NOT NULL, \
	TIME				TIME		NOT NULL, \
	I_DEVICE_SN			CHAR(64)	NOT NULL, \
	I_IOGRP_NO			SMALLINT	NOT NULL, \
	I_METRIC_ID			CHAR(40)	NOT NULL, \
	I_DISK_NO			INTEGER		NOT NULL, \
	I_METRIC_TYPE			CHAR(5), \
	PRIMARY KEY(DATE,TIME, I_DEVICE_SN, I_IOGRP_NO, I_METRIC_ID, I_DISK_NO))

CREATE TABLE LPMDGRP_DISKID( \
	DATE				DATE		NOT NULL, \
	TIME				TIME		NOT NULL, \
	I_DEVICE_SN			CHAR(64)	NOT NULL, \
	I_MDGRP_NO			SMALLINT	NOT NULL, \
	I_METRIC_ID			CHAR(40)	NOT NULL, \
	I_DISK_NO			INTEGER		NOT NULL, \
	I_METRIC_TYPE			CHAR(5), \
	PRIMARY KEY(DATE,TIME, I_DEVICE_SN, I_MDGRP_NO, I_METRIC_ID, I_DISK_NO))


	

CREATE TABLE LPIOGRP( \
	DATE				DATE		NOT NULL, \
	TIME				TIME		NOT NULL, \
	I_DEVICE_SN			CHAR(64)	NOT NULL, \
	I_IOGRP_NO			SMALLINT	NOT NULL, \
	I_SAMP_INTERVAL			SMALLINT, \	
	Q_VD_READ_IO			REAL, \
	Q_VD_WRITE_IO			REAL, \
	Q_VD_TOT_RW_IO			REAL, \
	Q_VD_AVG_READ_IO		REAL, \
      Q_VD_AVG_WRITE_IO		REAL, \
      Q_VD_TOT_AVG_RW_IO		REAL, \
      Q_VD_MAX_READ_IO		REAL, \
      Q_VD_MAX_WRITE_IO		REAL, \
      Q_VD_TOT_MAX_RW_IO		REAL, \
	Q_VD_READ_BLK			REAL, \
	Q_VD_WRITE_BLK			REAL, \
	Q_VD_TOT_RW_BLK			REAL, \
      Q_VD_AVG_READ_BLK		REAL, \
      Q_VD_AVG_WRITE_BLK		REAL, \
      Q_VD_TOT_AVG_RW_BLK		REAL, \
      Q_VD_MAX_READ_BLK		REAL, \
      Q_VD_MAX_WRITE_BLK		REAL, \
      Q_VD_TOT_MAX_RW_BLK		REAL, \
	Q_READ_TRANSFER			REAL, \
	Q_WRITE_TRANSFER		REAL, \
	Q_TRANSFER_SIZE			REAL, \
	IO_GRP_THRESHOLDS		CHAR(8), \ 
	ISEXCEPTION 			CHAR(1) DEFAULT '0', \
	PRIMARY KEY(DATE,TIME, I_DEVICE_SN, I_IOGRP_NO))


CREATE TABLE LPMDGRP( \
	DATE				DATE		NOT NULL, \
	TIME				TIME		NOT NULL, \
	I_DEVICE_SN			CHAR(64)	NOT NULL, \
	I_MDGRP_NO			SMALLINT	NOT NULL, \
	I_SAMP_INTERVAL			SMALLINT, \	
	Q_VD_READ_IO			REAL, \
	Q_VD_WRITE_IO			REAL, \
	Q_VD_TOT_RW_IO			REAL, \
        Q_VD_AVG_READ_IO		REAL, \
        Q_VD_AVG_WRITE_IO		REAL, \
        Q_VD_TOT_AVG_RW_IO		REAL, \
        Q_VD_MAX_READ_IO		REAL, \
        Q_VD_MAX_WRITE_IO		REAL, \
        Q_VD_TOT_MAX_RW_IO		REAL, \
	Q_VD_READ_BLK			REAL, \
	Q_VD_WRITE_BLK			REAL, \
	Q_VD_TOT_RW_BLK			REAL, \
        Q_VD_AVG_READ_BLK		REAL, \	
        Q_VD_AVG_WRITE_BLK		REAL, \	
        Q_VD_TOT_AVG_RW_BLK		REAL, \
        Q_VD_MAX_READ_BLK		REAL, \
        Q_VD_MAX_WRITE_BLK		REAL, \
        Q_VD_TOT_MAX_RW_BLK		REAL, \
        Q_VD_READ_TRANSFER		REAL, \
        Q_VD_WRITE_TRANSFER		REAL, \
        Q_VD_TRANSFER_SIZE		REAL, \
	Q_MD_READ_IO			REAL, \
	Q_MD_WRITE_IO			REAL, \
	Q_MD_TOT_RW_IO			REAL, \
        Q_MD_AVG_READ_IO		REAL, \
        Q_MD_AVG_WRITE_IO		REAL, \
        Q_MD_TOT_AVG_RW_IO		REAL, \
        Q_MD_MAX_READ_IO		REAL, \
        Q_MD_MAX_WRITE_IO		REAL, \
        Q_MD_TOT_MAX_RW_IO		REAL, \
	Q_MD_READ_BLK			REAL, \
	Q_MD_WRITE_BLK			REAL, \
	Q_MD_TOT_RW_BLK			REAL, \
        Q_MD_AVG_READ_BLK		REAL, \
        Q_MD_AVG_WRITE_BLK		REAL, \
        Q_MD_TOT_AVG_RW_BLK		REAL, \
        Q_MD_MAX_READ_BLK		REAL, \
        Q_MD_MAX_WRITE_BLK		REAL, \
        Q_MD_TOT_MAX_RW_BLK		REAL, \
        Q_MD_READ_TRANSFER		REAL, \
        Q_MD_WRITE_TRANSFER		REAL, \
        Q_MD_TRANSFER_SIZE		REAL, \   
        Q_MD_AVG_CMREAD_EXT_RSPTM	REAL, \
        Q_MD_MAX_CMREAD_EXT_RSPTM	REAL, \
        Q_MD_TOT_CMREAD_EXT_RSPTM	REAL, \
        Q_MD_AVG_CMWRITE_EXT_RSPTM	REAL, \
        Q_MD_MAX_CMWRITE_EXT_RSPTM	REAL, \
        Q_MD_TOT_CMWRITE_EXT_RSPTM	REAL, \
        Q_MD_AVG_CMREAD_QUD_RSPTM	REAL, \
        Q_MD_MAX_CMREAD_QUD_RSPTM	REAL, \
        Q_MD_TOT_CMREAD_QUD_RSPTM	REAL, \ 
        Q_MD_AVG_CMWRITE_QUD_RSPTM	REAL, \
        Q_MD_MAX_CMWRITE_QUD_RSPTM	REAL, \
        Q_MD_TOT_CMWRITE_QUD_RSPTM	REAL, \  
	MD_GRP_THRESHOLDS		CHAR(8), \ 
	ISEXCEPTION 			CHAR(1) DEFAULT '0', \
	PRIMARY KEY(DATE,TIME, I_DEVICE_SN, I_MDGRP_NO))

CREATE TABLE LTHRESHOLD (METRIC CHAR(30) NOT NULL, \
                         SCOPE  CHAR(40) NOT NULL, \
                        TYPE CHAR(1) WITH DEFAULT 'U', \
                        CVALUE   REAL, \
                        WVALUE  REAL, \
                        CHECKING CHAR(1), \
                        TOALERT CHAR(1), \
                        SUPPRESSINTERVAL INTEGER, \
                        PRIMARY KEY(METRIC, SCOPE))


insert into lthreshold values ('Q_VD_TOT_RW_IO_VDIOG','IBMRecommended','U',-1,-1,'N','N',120)
insert into lthreshold values ('Q_VD_TOT_RW_BLK_VDIOG','IBMRecommended','U',-1,-1,'N','N',120)
insert into lthreshold values ('Q_MD_TOT_RW_IO_MDMDG','IBMRecommended','U',-1,-1,'N','N',120)
insert into lthreshold values ('Q_MD_TOT_RW_BLK_MDMDG','IBMRecommended','U',-1,-1,'N','N',120)
 
